- name: Play to Query Bind pVLAN from vPC
  hosts: all
  connection: local
  gather_facts: no
  vars: 
    apic_login: &apic_login
      host: "{{ apic_host }}"
      username: "{{ user_var }}"
      password: "{{ user_pass }}"
      validate_certs: no
      use_proxy: False   
      use_ssl: True  
      state: query
    delay_var: 0.1  

  tasks:

    - name: Query Static Path Binding VPC PVLAN
      block:

        - name: Check Static Path binding for given EPG
          aci_static_binding_to_epg:
            <<: *apic_login
            tenant: taxud
            ap: "{{ bind.ap }}"
            epg: "{{ bind.epg }}"
            encap_id: "{{ bind.encap_id }}"
            deploy_immediacy: immediate
            interface_mode: "{{bind.switchport_mode}}"
            interface_type: vpc
            pod_id: "{{ bind.pod_id }}"
            leafs: "{{ bind.leaf1_id }}-{{ bind.leaf2_id }}"
            interface: "vpc.L{{ bind.leaf1_id }}.L{{ bind.leaf2_id }}.1.{{ bind.interface_id }}-intpolgrp"
          register: Binding
          loop: "{{ awx_webhook_payload.data.local_context_data.static_path_binding_vpc_pvlan_query }}"
          loop_control:
                   loop_var: bind
                   label: "Checking {{ bind.epg }} to leafs: L{{ bind.leaf1_id }}-L{{ bind.leaf2_id }} interface: Eth1/{{ bind.interface_id }}"
                   pause: "{{ delay_var }}"

        - name: Checking if Bindings have already been configured
          debug:
            msg: "{{ 'WARNING !!! BINDING ' + item_bind.invocation.module_args.interface + ' IS DEFINED on ' +item_bind.invocation.module_args.epg if item_bind.current[0].fvRsPathAtt.attributes.dn is defined
                 else 'Binding ' + item_bind.invocation.module_args.interface + ' is NOT defined on EPG ' +item_bind.invocation.module_args.epg }}"
          loop: "{{ Binding.results }}"
          loop_control:
            loop_var: item_bind
            label: "{{ 'Checking if vPC ' + item_bind.invocation.module_args.interface + ' exists...' }}"
    
      when:
              - awx_webhook_payload.data.local_context_data.static_path_binding_vpc_pvlan_query is defined
              - awx_webhook_payload.data.local_context_data.static_path_binding_vpc_pvlan_query | type_debug == 'list'
              - awx_webhook_payload.data.local_context_data.static_path_binding_vpc_pvlan_query | length > 0
